## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanCollationServices::CollationCompareFunctor Class Reference

`#include <XalanCollationServices.hpp>`

Inheritance diagram for XalanCollationServices::CollationCompareFunctor

List of all members.

## Public Methods

- CollationCompareFunctor ()
- virtual ~CollationCompareFunctor ()
- virtual int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, eCaseOrder theCaseOrder = eDefault) const = 0
- virtual int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, const XalanDOMChar* theLocale, eCaseOrder theCaseOrder = eDefault) const = 0

## Constructor & Destructor Documentation

XalanCollationServices::CollationCompareFunctor::CollationCompareFunctor ( | )`[]`

XalanCollationServices::CollationCompareFunctor::~CollationCompareFunctor ( | )`[virtual]`

## Member Function Documentation

virtual int XalanCollationServices::CollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| eCaseOrder theCaseOrder = eDefault ) const`[pure virtual]`

virtual int XalanCollationServices::CollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| eCaseOrder theCaseOrder = eDefault ) const`[pure virtual]`

The documentation for this class was generated from the following file:

- XalanCollationServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.